org.mariadb.jdbc

## Class MariaXaConnection

- java.lang.Object
- - org.mariadb.jdbc.MariaDbPooledConnection
  - - org.mariadb.jdbc.MariaXaConnection

All Implemented Interfaces:
  PooledConnection, XAConnection

    public class MariaXaConnection
    extends MariaDbPooledConnection
    implements XAConnection

### Field Summary

### Fields inherited from class org.mariadb.jdbc.MariaDbPooledConnection

`connection`

### Constructor Summary

Constructors
Constructor and Description
`MariaXaConnection(MariaDbConnection connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XAResource` `getXAResource()`

### Methods inherited from class org.mariadb.jdbc.MariaDbPooledConnection

`addConnectionEventListener, addStatementEventListener, close, fireConnectionClosed, fireConnectionErrorOccured, fireStatementClosed, fireStatementErrorOccured, getConnection, noStmtEventListeners, removeConnectionEventListener, removeStatementEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, addStatementEventListener, close, getConnection, removeConnectionEventListener, removeStatementEventListener`

### Constructor Detail

#### MariaXaConnection

    public MariaXaConnection(MariaDbConnection connection)

### Method Detail

#### getXAResource

    public XAResource getXAResource()
                             throws SQLException

Specified by:
  `getXAResource` in interface `XAConnection`
Throws:
  `SQLException`